function H = HessianMatrix6(X, Y, Ix, Iy)
    H = zeros(6,6);
       
    H(1,1) = sum(sum(Ix.^2));
    H(1,2) = sum(sum(X .* Ix.^2));
    H(1,3) = sum(sum(Y .* Ix.^2));
    H(1,4) = sum(sum(Ix .* Iy));
    H(1,5) = sum(sum(X .* Ix .* Iy));
    H(1,6) = sum(sum(Y .* Ix .* Iy));

    H(2,1) = H(1,2);
    H(2,2) = sum(sum(X.^2 .* Ix.^2));
    H(2,3) = sum(sum(X .* Y .* Ix.^2));
    H(2,4) = sum(sum(X .* Ix .* Iy));
    H(2,5) = sum(sum(X.^2 .* Ix .* Iy));
    H(2,6) = sum(sum(X .* Y .* Ix .* Iy));

    H(3,1) = H(1,3);
    H(3,2) = H(2,3);
    H(3,3) = sum(sum(Y.^2 .* Ix.^2));
    H(3,4) = sum(sum(Y .* Ix .* Iy));
    H(3,5) = sum(sum(X .* Y .* Ix .* Iy));
    H(3,6) = sum(sum(Y.^2 .* Ix .* Iy));

    H(4,1) = H(1,4);
    H(4,2) = H(2,4);
    H(4,3) = H(3,4);
    H(4,4) = sum(sum(Iy.^2));
    H(4,5) = sum(sum(X .* Iy.^2));
    H(4,6) = sum(sum(Y .* Iy.^2));

    H(5,1) = H(1,5);
    H(5,2) = H(2,5);
    H(5,3) = H(3,5);
    H(5,4) = H(4,5);
    H(5,5) = sum(sum(X.^2 .* Iy.^2));
    H(5,6) = sum(sum(X .* Y .* Iy.^2));

    H(6,1) = H(1,6);
    H(6,2) = H(2,6);
    H(6,3) = H(3,6);
    H(6,4) = H(4,6);
    H(6,5) = H(5,6);
    H(6,6) = sum(sum(Y.^2 .* Iy.^2));
end
